Waardering 5 van 5 sterren

Why does it say incompatible with Firefox 4.0.1 ?

Deze beoordeling betreft een eerdere versie van de add-on (3).  Deze gebruiker heeft 3 eerdere beoordelingen van deze add-on.